%global fontname lohit-telugu
%global fontconf 66-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.4.5
Release:        14%{?dist}
Summary:        Free Telugu font

Group:          User Interface/X
License:        GPLv2 with exceptions
URL:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/%{fontname}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
BuildRequires: fontforge >= 20080429
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Patch1: bug-549319-578040.patch
Patch2: bug-551317.patch
Patch3: bug-622682.patch
Patch4: bug-673420.patch
Patch5: bug-692368.patch
Patch6: bug-714562.patch
Patch7: bug-714561.patch
Patch8: bug-714563.patch
Patch9: bug-714560.patch
Patch10: bug-714557.patch
Obsoletes: lohit-fonts-common < %{version}-%{release}

%description
This package provides a free Telugu truetype/opentype font.


%prep
%setup -q -n %{fontname}-%{version} 
%patch1 -p1 -b .1-fix-font-conf
%patch2 -p1 -b .2-added-hyphen
%patch3 -p1 -b .3-characters-cut
%patch4 -p1 -b .4-rupee-sign
%patch5 -p1 -b .5-autohint-conf
%patch6 -p1 -b .6-resolved-kra-issue
%patch7 -p1 -b .7-fixed-positioning-rakar
%patch8 -p1 -b .8-resolved-positioning-added-new-ligature
%patch9 -p1 -b .9-resolved-merging-issue
%patch10 -p1 -b .10-i-matra-stacking-properly

%build
make

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc ChangeLog COPYRIGHT COPYING AUTHORS README ChangeLog.old


%changelog
* Wed Jul 27 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-14
- fixes bug 714557

* Fri Jul 15 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-13
- fixes bug 714560

* Fri Jul 15 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-12
- fixes bug 714563

* Thu Jun 30 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-11
- fixes bug 714561

* Wed Jun 22 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-10
- fixes bug 714562

* Wed Apr 13 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-9
- fixes bug 692368

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-7
- fixes bug 673420

* Tue Aug 10 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.5-6
- fixes bug 622682

* Mon Apr 19 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.5-5
- fixes bug 578040

* Wed Dec 30 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.5-4
- fixes bug 551317

* Mon Dec 28 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.5-3
- corrected patch 

* Thu Dec 13 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.5-2
- fixed bug 548686, license field

* Wed Nov 25 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.5-1
- upstream new release
- bug fix 531201

* Fri Sep 25 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-2
- updated specs

* Mon Sep 21 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-1
- upstream release of 2.4.4
- updated url for upstream tarball
- added Makefile in upstream tar ball

* Fri Sep 11 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.3-1
- first release after lohit-fonts split in new tarball
